%define major 0
%define libname %mklibname globus-authz-callout-error %{major}
%define develname %mklibname globus-authz-callout-error -d

Name:		globus-authz-callout-error
%global apache_license ASL 2.0
%global _name %(tr - _ <<< %{name})
Version:	4.2
Release:	%mkrel 3
Summary:	Globus Toolkit - Globus authz error library

Group:		System/Libraries
License:	%{apache_license}
URL:           https://github.com/gridcf/gct
Source:        https://repo.gridcf.org/gct6/sources/%{_name}-%{version}.tar.gz

BuildRequires:	pkgconfig(globus-common) >= 14
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:  automake >= 1.11
BuildRequires:  autoconf >= 2.60
BuildRequires:  libtool >= 2.2
BuildRequires:  pkgconfig
BuildRequires:  perl-Test-Simple

%package -n %{develname}
Summary:	Globus Toolkit - Globus authz error library Development Files
Group:		Development/Other
Provides: %{name}-devel = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig(globus-common) >= 14

%package doc
Summary:	Globus Toolkit - Globus authz error library Documentation Files
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus authz error library (used by globus authz callouts)

%package -n %{libname}
Summary: Globus Toolkit - Globus authz error library
Provides: %{name} = %{version}-%{release}
Group:System/Libraries

%description -n %{libname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus authz error library (used by globus authz callouts)

%description -n %{develname}
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus authz error library (used by globus authz callouts) Development Files

%description doc
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-doc package contains:
Globus authz error library (used by globus authz callouts) Documentation Files

%prep
%setup -q -n %{_name}-%{version}

%build
rm -rf autom4te.cache
autoreconf -if

%configure \
           --disable-static \
           --docdir=%{_docdir}/%{name}-%{version} \
           --includedir=%{_includedir}/globus \
           --libexecdir=%{_datadir}/globus


make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# Remove libtool archives (.la files)
find $RPM_BUILD_ROOT%{_libdir} -name 'lib*.la' -exec rm -v '{}' \;

%files -n %{libname}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
%{_libdir}/libglobus_*so.*

%files -n %{develname}
%{_includedir}/globus/*
%{_libdir}/libglobus_*so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%dir %{_docdir}/%{name}-%{version}/html
%{_docdir}/%{name}-%{version}/html/*
%{_mandir}/*/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.2-3.mga10
+ Revision: 2213167
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 4.2-2.mga9
+ Revision: 1836870
- Mageia 9 Mass Rebuild

* Fri Dec 18 2020 joequant <joequant> 4.2-1.mga8
+ Revision: 1660684
- update to 4.2

* Sun May 03 2020 joequant <joequant> 4.1-1.mga8
+ Revision: 1578524
- update to 4.1
- update to 4.1

* Tue Apr 28 2020 joequant <joequant> 3.6-1.mga8
+ Revision: 1572760
- imported package globus-authz-callout-error

